Português

FAQ: Como o ArcGIS Enterprise e os componentes de software associados, o ArcGIS Server e o Portal for ArcGIS serão afetados pela desativação do TLS 1.0 e 1.1?

Question

Como o ArcGIS Enterprise e os componentes de software associados, o ArcGIS Server e o Portal for ArcGIS serão afetados pela desativação do TLS 1.0 e 1.1?

Answer

Para se alinhar às melhores práticas do setor para segurança e integridade de dados, a Esri está desativando o suporte para as versões 1.0 e 1.1 do TLS no ArcGIS Online e impondo o TLS 1.2. Após a alteração, os aplicativos clientes que não suportarem o TLS 1.2 não poderão interagir com o ArcGIS Online. Este artigo descreve como a desativação dessas versões anteriores do protocolo de segurança afetará os usuários do ArcGIS Enterprise e os componentes de software associados, o ArcGIS Server e o Portal for ArcGIS.

Como os componentes do software ArcGIS Enterprise serão afetados?

As implantações do ArcGIS Enterprise que não suportam o protocolo TLS 1.2 são afetadas, pois as tentativas de conexão com o ArcGIS Online por meio do TLS 1.0 e 1.1 resultam em falha. Os fluxos de trabalho impactados relacionados ao ArcGIS Server e ao Portal for ArcGIS incluem:

Fluxos de trabalho do ArcGIS Server:

  • Usar os serviços de impressão do ArcGIS Server para imprimir qualquer conteúdo ou mapas base do ArcGIS Online (um sintoma típico é a falha de exportação de mapas base depois que essa alteração entrar em vigor)
  • Serviços de geoprocessamento personalizados relacionados ao conteúdo do ArcGIS Online
  • Registro de itens no ArcGIS Online pela interface do ArcGIS Server Manager no ArcGIS Server versões 10.4 e anteriores

Fluxos de trabalho do Portal for ArcGIS:

  • Acesso o conteúdo protegido do ArcGIS Online por meio de itens registrados no Portal for ArcGIS, incluindo camadas hospedadas, mapas base e conteúdo do ArcGIS Living Atlas of the World.
  • Configuração e uso dos serviços utilitários do ArcGIS Online no Portal for ArcGIS. Isso inclui pesquisa geográfica, geocodificação, roteamento e outros serviços utilitários.

Como sei se minha implantação do ArcGIS Enterprise foi afetada?

Existem dois fatores principais que determinam se um ambiente é afetado – a versão do software dos componentes do ArcGIS Enterprise e o sistema operacional no qual os componentes dele estão instalados. A versão do Internet Explorer instalada no servidor também pode afetar o comportamento do sistema e os fluxos de trabalho do ArcGIS Server definidos acima. Um fluxograma é anexado que mostra os ambientes afetados e os itens de ação recomendados, conforme descrito abaixo.

Portal for ArcGIS
As versões do Portal for ArcGIS 10.4 e anteriores são afetadas, pois elas contêm componentes internos que se comunicam apenas pelo protocolo TLS 1.0. As versões 10.4.1 e posteriores de Portal for ArcGIS não são impactadas.

ArcGIS Server
Os fluxos de trabalho do ArcGIS Server serão afetados dependendo do suporte do sistema operacional subjacente. Veja abaixo os detalhes sobre instalações no Windows Server.

Quais Sistemas Operacionais suportam o TLS 1.2?

Windows Server 2008
As instalações do ArcGIS Server em execução no Windows Server 2008 são afetadas, pois esse sistema operacional não suporta o TLS 1.2.
Embora exista uma correção da Microsoft que adicione suporte básico ao TLS 1.2 no Windows Server 2008, ela não é suficiente para incluir o suporte completo ao TLS 1.2 exigido por essa alteração.

Windows Server 2008 R2 e versões posteriores
O Windows Server 2008 R2 e versões posteriores, incluindo o Windows Server 2012, o Windows Server 2012 R2 e o Windows Server 2016, contêm o suporte necessário ao protocolo para se conectar usando o TLS 1.2.

No caso do Windows Server 2008 R2 e o Windows Server 2012, pode ser necessário ativar explicitamente o suporte ao TLS 1.2 para a conta do ArcGIS Server. Os padrões do sistema são afetados pela versão do Internet Explorer instalada no servidor. Se o Internet Explorer 11 estiver instalado, as configurações do sistema serão atualizadas para ativar o TLS 1.2 por padrão. Caso contrário, pode ser necessário ativar explicitamente o suporte ao TLS 1.2 para a conta do ArcGIS Server.

Linux
O ArcGIS Server em execução no Linux contém suporte para TLS 1.2 em todas as versões suportadas.


O que devo fazer se minha implantação do ArcGIS Enterprise for afetada?

Portal for ArcGIS
Se você tiver implantado o Portal for ArcGIS 10.4 ou versões anteriores e seus fluxos de trabalho forem afetados pela desativação do TLS 1.0 e TLS 1.1, a Esri recomenda atualizar para uma versão que ofereça suporte à comunicação em TLS 1.2. As versões 10.4.1 e superiores do Portal for ArcGIS oferecem suporte completo ao TLS 1.2. A Esri recomenda que os clientes atualizem para a versão mais recente, se possível.

ArcGIS Server
Os fluxos de trabalho do ArcGIS Server podem ser afetados em qualquer versão. Isso ocorre devido a uma combinação do sistema operacional em que o ArcGIS Server está instalado e das Opções da Internet usadas pela conta do ArcGIS Server.

Se o ArcGIS Server estiver em execução no Windows Server 2008, é necessário atualizar para uma versão mais recente do Windows Server para resolver esse problema.
Os clientes com o ArcGIS Server em execução no Windows Server 2008 R2 ou no Windows Server 2012 talvez precisem habilitar o TLS 1.2 para a conta do ArcGIS Server.

Se o Internet Explorer 11 estiver instalado, as configurações do sistema serão atualizadas para ativar o TLS 1.2 por padrão. Caso contrário, pode ser necessário ativar explicitamente o suporte ao TLS 1.2 para a conta do ArcGIS Server no painel de Opções da Internet.

Implantações do ArcGIS Server em execução no Windows Server 2012 R2 e Windows Server 2016 não são afetadas e não precisam de configuração adicional.

Se você seguiu as recomendações acima e ainda enfrenta problemas com a comunicação com o ArcGIS Online por meio dos componentes do ArcGIS Enterprise, entre em contato com o Suporte Técnico da Esri para mais investigações.

Anotação:
Veja a Página de Suporte da Esri sobre TLS para obter instruções sobre como usar o TLS 1.2 com outros produtos da Esri.

Related Information

Last Published: 11/14/2019

Article ID: 000019294

Software: Portal for ArcGIS 10.7.1, 10.7, 10.6.1, 10.6, 10.5.1, 10.5, 10.4.1, 10.4, 10.3.1, 10.3, 10.2.2, 10.2.1, 10.2